// GCam Rec Component 1.0
// This file is necessary to use GCam Rec.
// Include this file to "description.ext".
// #include "gcamrec_component.hpp"



class GCamRec_DialogBase_ListBox
{
	access = 0;
	type = 5;
	style = 0;
	w = 0.400000;
	h = 0.400000;
	font = "TahomaB";
	shadow = 2;
	sizeEx = 0.040000;
	colorBackground[] = {0.0, 0.0, 0.0, 1.0};
	colorText[] = {0.8784,0.8471,0.651,1.0}; // text and background
	colorScrollbar[] = {0, 0, 0, 1.0};
	colorSelect[] = {1.0, 1.0, 1.0, 1.0}; // select item text
	colorSelect2[] = {1.0, 0.0, 0, 1.0};
	colorSelectBackground[] = {0.0, 0.0, 0.0, 0.6}; // select item background inactive
	colorSelectBackground2[] = {0.0, 0.0, 0.0, 0.6}; // select item background active
	period = 1;
	rowHeight = 0;
	maxHistoryDelay = 1.000000;
	soundSelect[] = {"", 0.100000, 1};
	autoScrollSpeed = -1;
	autoScrollDelay = 5;
	autoScrollRewind = 0;
	arrowEmpty = "\ca\ui\data\ui_arrow_top_ca.paa";
	arrowFull = "\ca\ui\data\ui_arrow_top_active_ca.paa";
	class ScrollBar {
		color[] = {1, 1, 1, 0.6};
		colorActive[] = {1, 1, 1, 1};
		colorDisabled[] = {1, 1, 1, 0.3};
		thumb = "\ca\ui\data\ui_scrollbar_thumb_ca.paa";
		arrowEmpty = "\ca\ui\data\ui_arrow_top_ca.paa";
		arrowFull = "\ca\ui\data\ui_arrow_top_active_ca.paa";
		border = "\ca\ui\data\ui_border_scroll_ca.paa";
	};
};

class GCamRec_DialogBase_Button
{
	access = 0;
	type = 1;
	style = 2;
	x = 0;
	y = 0;
	w = 0.0845;
	h = 0.0350;
	shadow = 2;
	text = "";
	font = "TahomaB";
	sizeEx = 0.0385;
	colorText[] = {0, 0, 0, 0};
	colorDisabled[] = {0, 0, 0, 0};
	colorBackground[] = {0.278, 0.223, 0.133, 0.7}; // background
	colorBackgroundDisabled[] = {0, 0, 0, 0};
	colorBackgroundActive[] = {0.482, 0.396, 0.270, 0.8}; // active
	offsetX = 0.0;
	offsetY = 0.0;
	offsetPressedX = 0.001;
	offsetPressedY = 0.001;
	colorFocused[] = {0.482, 0.396, 0.270, 0.8}; // focused
	colorShadow[] = {0, 0, 0, 0};
	colorBorder[] = {0, 0, 0, 0};
	borderSize = 0.0;
	soundEnter[] = {"", 0.100000, 1};
	soundPush[] = {"", 0.100000, 1};
	soundClick[] = {"", 0.100000, 1};
	soundEscape[] = {"", 0.100000, 1};
};


class GCamRec_DialogBase_StructuredText
{
	x = 0;
	y = 0;
	h = 0.035;
	w = 0.1;
	text = "";
	size = 0.0385;
	color[] = {0.8,0.8,0.8,1};
	colorText[] = {0.4,0.6745,0.2784,1};
	colorActive[] = {0.95,0.95,0.95,1};
	colorBackground[] = {0.360, 0.345, 0.270, 0.850}; // background
	shadow = 2;
	class Attributes
	{
		font = "Zeppelin32";
		color = "#e0d8a6";
		align = "center";
		valign = "top";
		shadow = 2;
	};
};


class GCamRec_DialogBase_XSliderH
{
	type = 3;
	style = 0x400;
//	style = "0x400 + 0x10";
	shadow = 2;
	x = 0;
	y = 0;
	w = 0.4;
	h = 0.029412;
	color[] = { 0.874, 0.843, 0.647, 1.0 }; // background
	coloractive[] = { 1.0, 1.0, 1.0, 1.0 }; // active
	colorDisabled[] = {1,1,1,0.2};
	arrowEmpty = "\ca\ui\data\ui_arrow_left_ca.paa";
	arrowFull = "\ca\ui\data\ui_arrow_left_active_ca.paa";
	border = "\ca\ui\data\ui_border_frame_ca.paa";
	thumb = "\ca\ui\data\ui_slider_bar_ca.paa";
};


class GCamRec_DialogBase_Edit
{
	type = 2;
	style = "0x00 + 0x40";
	font = "Zeppelin32";
	x = 0.0;
	y = 0.0;
	w = 0.2;
	h = 0.4; 
	sizeEx = 0.03921;
	colorBackground[] = {0.0, 0.0, 0.0, 1.0};
	colorText[] = {0.8784,0.8471,0.651,1.0}; // text and background
	colorSelection[] = {0.0,0.0,0.0,1.0}; // select text background
	autocomplete = false;
	text = "";
};


class GCamRec_Dialog_Editor
{
	idd = 5200;
	movingEnable = 0;
	class controls
	{
		class List_EditorList : GCamRec_DialogBase_ListBox
		{
			idc = 10;
			x = SafeZoneW - ((SafeZoneW-1.0)/2) - 0.05 - 0.25;
			y = SafeZoneH - ((SafeZoneH-1.0)/2) - 0.05 - 0.125 - 0.735;
			w = 0.25;
			h = 0.680;
			sizeEx = 0.030;
			rowHeight = 0.0;
			period = 0;
			onLBSelChanged = "GCamRec_ListSelectChanged = _this";
			onMouseMoving =  "GCamRec_MouseMoveCtrl = _this";
		};
		class Button_EditorRename : GCamRec_DialogBase_Button
		{
			idc = 14;
			x = SafeZoneW - ((SafeZoneW-1.0)/2) - 0.05 - 0.0845;
			y = SafeZoneH - ((SafeZoneH-1.0)/2) - 0.05 - 0.125 - 0.775;
			text = "Rename";
			toolTip = "Rename selected scene";
			onButtonClick = "GCamRec_ButtonPushedId = ""rename""";
			onMouseMoving =  "GCamRec_MouseMoveCtrl = _this";
		};
		class Edit_EditorRename : GCamRec_DialogBase_Edit
		{
			idc = 15;
			x = SafeZoneW - ((SafeZoneW-1.0)/2) - 0.05 - 0.25;
			y = SafeZoneH - ((SafeZoneH-1.0)/2) - 0.05 - 0.125 - 0.775;
			w = 0.165;
			h = 0.035;
			sizeEx = 0.030;
			onKeyUp = "if((_this select 1) == 28 or (_this select 1) == 156)then{GCamRec_ButtonPushedId=""rename""}";
			onMouseMoving =  "GCamRec_MouseMoveCtrl = _this";
		};
		class Button_EditorRec : GCamRec_DialogBase_Button
		{
			idc = 20;
			x = SafeZoneW - ((SafeZoneW-1.0)/2) - 0.05 - 0.25 - 0.01 - 0.0845;
			y = SafeZoneH - ((SafeZoneH-1.0)/2) - 0.05 - 0.125 - 0.775 + 0.040;
			text = "Rec";
			toolTip = "Start/Stop recording";
			onButtonClick = "GCamRec_ButtonPushedId = ""rec""";
			onMouseMoving =  "GCamRec_MouseMoveCtrl = _this";
		};
		class Button_EditorPlay : GCamRec_DialogBase_Button
		{
			idc = 21;
			x = SafeZoneW - ((SafeZoneW-1.0)/2) - 0.05 - 0.25 - 0.01 - 0.0845;
			y = SafeZoneH - ((SafeZoneH-1.0)/2) - 0.05 - 0.125 - 0.775 + 0.120;
			text = "Play";
			toolTip = "Play selected scene";
			onButtonClick = "GCamRec_ButtonPushedId = ""play""";
			onMouseMoving =  "GCamRec_MouseMoveCtrl = _this";
		};
		class Button_EditorPlayAll : GCamRec_DialogBase_Button
		{
			idc = 22;
			x = SafeZoneW - ((SafeZoneW-1.0)/2) - 0.05 - 0.25 - 0.01 - 0.0845;
			y = SafeZoneH - ((SafeZoneH-1.0)/2) - 0.05 - 0.125 - 0.775 + 0.160;
			text = "PlayAll";
			toolTip = "Play all scenes";
			onButtonClick = "GCamRec_ButtonPushedId = ""playall""";
			onMouseMoving =  "GCamRec_MouseMoveCtrl = _this";
		};
		class Button_EditorUp : GCamRec_DialogBase_Button
		{
			idc = 23;
			x = SafeZoneW - ((SafeZoneW-1.0)/2) - 0.05 - 0.25 - 0.01 - 0.0845;
			y = SafeZoneH - ((SafeZoneH-1.0)/2) - 0.05 - 0.125 - 0.775 + 0.240;
			text = "Up";
			toolTip = "Move up selected scene";
			onButtonClick = "GCamRec_ButtonPushedId = ""up""";
			onMouseMoving =  "GCamRec_MouseMoveCtrl = _this";
		};
		class Button_EditorDown : GCamRec_DialogBase_Button
		{
			idc = 24;
			x = SafeZoneW - ((SafeZoneW-1.0)/2) - 0.05 - 0.25 - 0.01 - 0.0845;
			y = SafeZoneH - ((SafeZoneH-1.0)/2) - 0.05 - 0.125 - 0.775 + 0.280;
			text = "Down";
			toolTip = "Move down selected scene";
			onButtonClick = "GCamRec_ButtonPushedId = ""down""";
			onMouseMoving =  "GCamRec_MouseMoveCtrl = _this";
		};
		class Button_EditorDelete : GCamRec_DialogBase_Button
		{
			idc = 25;
			x = SafeZoneW - ((SafeZoneW-1.0)/2) - 0.05 - 0.25 - 0.01 - 0.0845;
			y = SafeZoneH - ((SafeZoneH-1.0)/2) - 0.05 - 0.125 - 0.775 + 0.360;
			text = "Delete";
			toolTip = "Delete selected scene";
			onButtonClick = "GCamRec_ButtonPushedId = ""delete""";
			onMouseMoving =  "GCamRec_MouseMoveCtrl = _this";
		};
		class Button_EditorCopy : GCamRec_DialogBase_Button
		{
			idc = 26;
			x = SafeZoneW - ((SafeZoneW-1.0)/2) - 0.05 - 0.25 - 0.01 - 0.0845;
			y = SafeZoneH - ((SafeZoneH-1.0)/2) - 0.05 - 0.125 - 0.775 + 0.440;
			text = "Copy";
			toolTip = "Copy selected scene to the Clipboard";
			onButtonClick = "GCamRec_ButtonPushedId = ""copy""";
			onMouseMoving =  "GCamRec_MouseMoveCtrl = _this";
		};
		class Button_EditorCopyAll : GCamRec_DialogBase_Button
		{
			idc = 27;
			x = SafeZoneW - ((SafeZoneW-1.0)/2) - 0.05 - 0.25 - 0.01 - 0.0845;
			y = SafeZoneH - ((SafeZoneH-1.0)/2) - 0.05 - 0.125 - 0.775 + 0.480;
			text = "CopyAll";
			toolTip = "Copy all scenes to the Clipboard";
			onButtonClick = "GCamRec_ButtonPushedId = ""copyall""";
			onMouseMoving =  "GCamRec_MouseMoveCtrl = _this";
		};
		class Button_EditorSave : GCamRec_DialogBase_Button
		{
			idc = 28;
			x = SafeZoneW - ((SafeZoneW-1.0)/2) - 0.05 - 0.25 - 0.01 - 0.0845;
			y = SafeZoneH - ((SafeZoneH-1.0)/2) - 0.05 - 0.125 - 0.775 + 0.560;
			text = "Save";
			toolTip = "Save all scenes as a save data";
			onButtonClick = "GCamRec_ButtonPushedId = ""save""";
			onMouseMoving =  "GCamRec_MouseMoveCtrl = _this";
		};
		class Button_EditorClose : GCamRec_DialogBase_Button
		{
			idc = 29;
			x = SafeZoneW - ((SafeZoneW-1.0)/2) - 0.05 - 0.25 - 0.01 - 0.0845;
			y = SafeZoneH - ((SafeZoneH-1.0)/2) - 0.05 - 0.125 - 0.775 + 0.680;
			text = "Close";
			toolTip = "Close Scene Editor";
			onButtonClick = "GCamRec_ButtonPushedId = ""close""";
			onMouseMoving =  "GCamRec_MouseMoveCtrl = _this";
		};
		class Text_EditorLine : GCamRec_DialogBase_StructuredText
		{
			idc = 40;
			type = 13;
			style = 0;
			colorBackground[] = { 0, 0, 0, 0.4 };
			x = 0.250;
			y = SafeZoneH - ((SafeZoneH-1.0)/2) - 0.05 - 0.035 - 0.01 - 0.035 - 0.01 - 0.035;
			w = 0.1845;
			h = 0.035;
			class Attributes
			{
				color = "#000000";
				align = "center";
				valign = "bottom";
				size = 1;
			};
		};
		class Text_EditorSelectStartFrame : GCamRec_DialogBase_StructuredText
		{
			idc = 41;
			type = 13;
			style = 0;
			colorBackground[] = { 0, 0, 0, 0 };
			x = 0.24225;
			y = SafeZoneH - ((SafeZoneH-1.0)/2) - 0.05 - 0.035 - 0.01 - 0.035 - 0.01 - 0.035;
			w = 0.100;
			h = 0.035;
			class Attributes
			{
				color = "#000000";
				align = "center";
				valign = "bottom";
				size = 1;
			};
		};
		class Text_EditorSelectEndFrame : GCamRec_DialogBase_StructuredText
		{
			idc = 42;
			type = 13;
			style = 0;
			colorBackground[] = { 0, 0, 0, 0 };
			x = 0.34225;
			y = SafeZoneH - ((SafeZoneH-1.0)/2) - 0.05 - 0.035 - 0.01 - 0.035 - 0.01 - 0.035;
			w = 0.100;
			h = 0.035;
			class Attributes
			{
				color = "#000000";
				align = "center";
				valign = "bottom";
				size = 1;
			};
		};
		class Text_EditorSelectFrame : GCamRec_DialogBase_StructuredText
		{
			idc = 43;
			type = 13;
			style = 0;
			colorBackground[] = { 0, 0, 0, 0 };
			x = 0.000;
			y = SafeZoneH - ((SafeZoneH-1.0)/2) - 0.05 - 0.035 - 0.01 - 0.035 - 0.01 - 0.035;
			w = 0.100;
			h = 0.035;
			class Attributes
			{
				color = "#000000";
				align = "left";
				valign = "bottom";
				size = 1;
			};
		};
		class Text_EditorEndFrame : GCamRec_DialogBase_StructuredText
		{
			idc = 44;
			type = 13;
			style = 0;
			colorBackground[] = { 0, 0, 0, 0 };
			x = 0.900;
			y = SafeZoneH - ((SafeZoneH-1.0)/2) - 0.05 - 0.035 - 0.01 - 0.035 - 0.01 - 0.035;
			w = 0.100;
			h = 0.035;
			class Attributes
			{
				color = "#000000";
				align = "right";
				valign = "bottom";
				size = 1;
			};
		};
		class Slider_EditorSeek : GCamRec_DialogBase_XSliderH
		{
			idc = 50;
			x = 0.00;
			y = SafeZoneH - ((SafeZoneH-1.0)/2) - 0.05 - 0.035 - 0.01 - 0.035;
			w = 1.00;
			h = 0.035;
			onSliderPosChanged = "GCamRec_SliderMove = _this";
			onMouseMoving =  "GCamRec_MouseMoveCtrl = _this";
		};
		
		class Button_EditorSelectS : GCamRec_DialogBase_Button
		{
			idc = 60;
			x = 0.250;
			y = SafeZoneH - ((SafeZoneH-1.0)/2) - 0.05 - 0.035;
			text = "Sel <";
			toolTip = "Select first frame";
			onButtonClick = "GCamRec_ButtonPushedId = ""sels""";
			onMouseMoving =  "GCamRec_MouseMoveCtrl = _this";
		};
		class Button_EditorSelectE : GCamRec_DialogBase_Button
		{
			idc = 61;
			x = 0.350;
			y = SafeZoneH - ((SafeZoneH-1.0)/2) - 0.05 - 0.035;
			text = "Sel >";
			toolTip = "Select last frame";
			onButtonClick = "GCamRec_ButtonPushedId = ""sele""";
			onMouseMoving =  "GCamRec_MouseMoveCtrl = _this";
		};
		class Button_EditorCut : GCamRec_DialogBase_Button
		{
			idc = 62;
			x = 0.450;
			y = SafeZoneH - ((SafeZoneH-1.0)/2) - 0.05 - 0.035;
			text = "Cut";
			toolTip = "Cut selected frames";
			onButtonClick = "GCamRec_ButtonPushedId = ""cut""";
			onMouseMoving =  "GCamRec_MouseMoveCtrl = _this";
		};
		class Button_EditorNew : GCamRec_DialogBase_Button
		{
			idc = 63;
			x = 0.550;
			y = SafeZoneH - ((SafeZoneH-1.0)/2) - 0.05 - 0.035;
			text = "New";
			toolTip = "Create new scene from selected frames";
			onButtonClick = "GCamRec_ButtonPushedId = ""new""";
			onMouseMoving =  "GCamRec_MouseMoveCtrl = _this";
		};
		class Button_EditorUndo : GCamRec_DialogBase_Button
		{
			idc = 64;
			x = 0.650;
			y = SafeZoneH - ((SafeZoneH-1.0)/2) - 0.05 - 0.035;
			text = "Undo";
			toolTip = "Undo";
			onButtonClick = "GCamRec_ButtonPushedId = ""undo""";
			onMouseMoving =  "GCamRec_MouseMoveCtrl = _this";
		};
	};
};


class GCamRec_Dialog_Quit
{
	idd = 5201;
	movingEnable = 0;
	class controls
	{
		class Text_Quit : GCamRec_DialogBase_StructuredText
		{
			idc = 10;
			type = 13;
			style = 0;
			x = 0.398;
			y = 0.44;
			w = 0.204;
			h = 0.115;
			size = 0.038;
			text = "Quit GCam Rec?";
			class Attributes
			{
				color = "#000000";
				align = "left";
				valign = "top";
				size = 1;
			};
		};
		class Button_QuitOk : GCamRec_DialogBase_Button
		{
			idc = 20;
			x = 0.438;
			y = 0.505;
			h = 0.035;
			w = 0.0560;
			sizeEx = 0.032;
			text = "OK";
			toolTip = "Quit GCam Rec";
			onButtonClick = "GCamRec_ButtonPushedQuitOk = true";
		};
		class Button_QuitCancel : GCamRec_DialogBase_Button
		{
			idc = 21;
			x = 0.505;
			y = 0.505;
			h = 0.035;
			w = 0.0810;
			sizeEx = 0.032;
			text = "Cancel";
			toolTip = "Continue GCam Rec";
			onButtonClick = "GCamRec_ButtonPushedQuitCancel = true";
		};
	};
};


class GCamRec_Dialog_Help
{
	idd = 5202;
	movingEnable = 0;
	class controls
	{
		class Text_Help : GCamRec_DialogBase_StructuredText
		{
			idc = 10;
			type = 13;
			style = 0;
			x = 0.275;
			y = 0.1675;
			w = 0.45;
			h = 0.665;
			text = "";
			class Attributes
			{
				color = "#000000";
				align = "left";
				valign = "top";
				size = 1;
			};
		};
		class Button_HelpClose : GCamRec_DialogBase_Button
		{
			idc = 20;
			x = 0.275 + 0.45 - 0.03;
			y = 0.1675;
			w = 0.030;
			h = 0.030;
			text = "x";
			toolTip = "Close Help";
			onButtonClick = "GCamRec_ButtonPushedId = ""helpclose""";
		};
	};
};
